## ros-rosdep 0.18.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rosdep.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rosdep.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rosdep"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rosdep"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

upload: html
	# set write permission for group so that everybody can overwrite existing files on the webserver
	chmod -R g+w _build/html/
	scp -pr _build/html/ rosbot@ros.osuosl.org:/home/rosbot/docs/independent/api/rosdep

## ros-rosdep 0.11.4

=== debian/changelog ===
ros-rosdep (0.11.4-2) unstable; urgency=medium

  [ Leopold Palomo-Avellaneda ]
  * More generic clean rule

  [ Jochen Sprickerhof ]
  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 12 Feb 2016 20:12:44 +0100

ros-rosdep (0.11.4-1) unstable; urgency=medium

  * Initial release (Closes: #804031)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 23 Dec 2015 22:36:27 +0000

=== debian/control ===
Source: ros-rosdep
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <debian@jochen.sprickerhof.de>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3), python-nose, dh-python
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-rosdep.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-rosdep.git
Homepage: http://www.ros.org/wiki/rosdep
X-Python-Version: >= 2.7

Package: python-rosdep
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-catkin-pkg, python-yaml, python-rospkg, python-rosdistro
Description: rosdep package manager abstraction tool for Robot OS
 This package is part of Robot OS (ROS). It is a command-line tool for
 installing system dependencies on a variety of platforms. For
 *end-users*, rosdep helps you install system dependencies for
 software that you are building from source. For *developers*, rosdep
 simplifies the problem of installing system dependencies on different
 platforms.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Mon, 01 Dec 2014 09:55:58 +0100

%:
	dh $@ --with python2 --buildsystem=python_distutils


override_dh_clean:
	rm -rf src/rosdep.egg-info
	rm -rf build
	rm -rf src/rosdep2/*.pyc
	rm -rf src/rosdep2/platforms/*.pyc
	rm -rf test/*.pyc
	rm -rf nosetests.xml
	rm -rf .coverage
	rm -rf nose-1.3.*
	dh_clean

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rosdep-$1\.tar\.gz/ \
 https://github.com/ros-infrastructure/rosdep/releases .*/v?(\d\S*)\.tar\.gz

## ros-rosdep 0.11.8

=== debian/changelog ===
ros-rosdep (0.11.8-1) unstable; urgency=medium

  * New upstream version 0.11.8
  * Rename package to module name (hopefully fixes autopkgtest)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Aug 2017 16:48:07 +0200

ros-rosdep (0.11.7-1) unstable; urgency=medium

  * New upstream version 0.11.7

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 02 Aug 2017 16:36:17 +0200

ros-rosdep (0.11.4-4) unstable; urgency=medium

  * Convert package to pybuild
  * Add python3-rosdep package.

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jul 2017 17:19:51 +0200

ros-rosdep (0.11.4-3) unstable; urgency=medium

  * Update my email address
  * Update watch file
  * Update policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Jun 2017 06:16:41 +0200

=== debian/control ===
Source: ros-rosdep
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-nose, python3-nose, python-rospkg, python-mock, python-yaml, python-catkin-pkg, python-rosdistro, python-dev, python3-rospkg, python3-mock, python3-yaml, python3-catkin-pkg, python3-rosdistro
Standards-Version: 4.0.0
Homepage: http://wiki.ros.org/rosdep
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rosdep.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rosdep.git
Testsuite: autopkgtest-pkg-python

Package: python-rosdep2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Breaks: python-rosdep (<<0.11.8)
Replaces: python-rosdep (<<0.11.8)
Provides: python-rosdep
Description: rosdep package manager abstraction tool for Robot OS (Python 2)
 This package is part of Robot OS (ROS). It is a command-line tool for
 installing system dependencies on a variety of platforms. For
 *end-users*, rosdep helps you install system dependencies for
 software that you are building from source. For *developers*, rosdep
 simplifies the problem of installing system dependencies on different
 platforms.
 .
 This package installs the library for Python 2.

Package: python3-rosdep2
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Breaks: python3-rosdep (<<0.11.8)
Replaces: python3-rosdep (<<0.11.8)
Provides: python3-rosdep
Description: rosdep package manager abstraction tool for Robot OS (Python 3)
 This package is part of Robot OS (ROS). It is a command-line tool for
 installing system dependencies on a variety of platforms. For
 *end-users*, rosdep helps you install system dependencies for
 software that you are building from source. For *developers*, rosdep
 simplifies the problem of installing system dependencies on different
 platforms.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=rosdep2
export PYBUILD_AFTER_INSTALL=rm -rf 'debian/python3-rosdep2/usr/bin'

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-rosdep-$1.tar.gz%" \
    https://github.com/ros-infrastructure/rosdep/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
# Watch control file for uscan
# Compulsory line, this is a version 3 file

## ros-rosdep 0.12.2

=== debian/changelog ===
ros-rosdep (0.12.2-2) unstable; urgency=medium

  * Add missing build dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Mar 2018 23:09:38 +0200

ros-rosdep (0.12.2-1) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * New upstream version 0.12.2
  * Update copyright
  * Update policy and debhelper versions
  * Rebase patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Mar 2018 21:19:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-nose, python3-nose, python-rospkg, python-mock, python-yaml, python-catkin-pkg, python-rosdistro, python-dev, python3-rospkg, python3-mock, python3-yaml, python3-catkin-pkg, python3-rosdistro
-Standards-Version: 4.0.0
-Homepage: http://wiki.ros.org/rosdep
+Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-nose, python3-nose, python-rospkg, python-mock, python-yaml, python-catkin-pkg, python-rosdistro, python-dev, python3-rospkg, python3-mock, python3-yaml, python3-catkin-pkg, python3-rosdistro, python-flake8, python3-flake8
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/rosdep
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rosdep.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rosdep.git
+Vcs-Git: https://salsa.debian.org/science-team/ros-rosdep.git
+Vcs-Browser: https://salsa.debian.org/science-team/ros-rosdep
 Testsuite: autopkgtest-pkg-python
 
 Package: python-rosdep2

## ros-rosdep 0.15.1

=== debian/changelog ===
ros-rosdep (0.15.1-2) unstable; urgency=medium

  * Add missing dependency (LP: #1817773)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Feb 2019 19:54:45 +0100

ros-rosdep (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1
  * Drop flake8 patch (fixed upstream)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 21 Feb 2019 08:03:39 +0100

ros-rosdep (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0
  * Refresh patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 28 Jan 2019 08:11:55 +0100

ros-rosdep (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Jan 2019 22:19:36 +0100

ros-rosdep (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * Rebase patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 09 Nov 2018 09:00:26 +0100

ros-rosdep (0.12.2-3) unstable; urgency=medium

  * Disable flake8 in unit test (Closes: #911715)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 24 Oct 2018 07:56:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,16 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-nose, python3-nose, python-rospkg, python-mock, python-yaml, python-catkin-pkg, python-rosdistro, python-dev, python3-rospkg, python3-mock, python3-yaml, python3-catkin-pkg, python3-rosdistro, python-flake8, python3-flake8
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosdep
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 Vcs-Git: https://salsa.debian.org/science-team/ros-rosdep.git
 Vcs-Browser: https://salsa.debian.org/science-team/ros-rosdep
 Testsuite: autopkgtest-pkg-python
 
 Package: python-rosdep2
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${misc:Depends}, ca-certificates
 Breaks: python-rosdep (<<0.11.8)
 Replaces: python-rosdep (<<0.11.8)
 Provides: python-rosdep

## ros-rosdep 0.15.2

=== debian/changelog ===
ros-rosdep (0.15.2-1) unstable; urgency=medium

  * New upstream version 0.15.2
  * Update copyright
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 31 Jul 2019 14:21:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-nose, python3-nose, python-rospkg, python-mock, python-yaml, python-catkin-pkg, python-rosdistro, python-dev, python3-rospkg, python3-mock, python3-yaml, python3-catkin-pkg, python3-rosdistro, python-flake8, python3-flake8
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-nose, python3-nose, python-rospkg, python-mock, python-yaml, python-catkin-pkg, python-rosdistro, python-dev, python3-rospkg, python3-mock, python3-yaml, python3-catkin-pkg, python3-rosdistro, python-flake8, python3-flake8
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosdep
 Vcs-Git: https://salsa.debian.org/science-team/ros-rosdep.git

## ros-rosdep 0.18.0

=== debian/changelog ===
ros-rosdep (0.18.0-1) unstable; urgency=medium

  * New upstream version 0.18.0

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 24 Nov 2019 08:24:09 +0100

ros-rosdep (0.17.1-1) unstable; urgency=medium

  * simplify d/watch
  * New upstream version 0.17.1
  * Update copyright
  * Rebase patches
  * Bump policy versions (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 Oct 2019 09:22:27 +0100

ros-rosdep (0.16.1-3) unstable; urgency=medium

  * Add missing dependency
  * Add patch for Python 3 tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 28 Sep 2019 09:42:05 +0200

ros-rosdep (0.16.1-2) unstable; urgency=medium

  * remove cruft in d/watch
  * Drop Python 2 (Closes: #938395)
  * Add d/clean
  * Install default sources.list

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 27 Sep 2019 13:12:03 +0200

ros-rosdep (0.16.1-1) unstable; urgency=medium

  * New upstream version 0.16.1
  * Update copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Sep 2019 22:19:35 +0200

=== debian/control ===
Source: ros-rosdep
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-nose, python3-rospkg, python3-mock, python3-yaml, python3-catkin-pkg, python3-rosdistro, python3-flake8
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rosdep
Vcs-Git: https://salsa.debian.org/science-team/ros-rosdep.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-rosdep
Testsuite: autopkgtest-pkg-python

Package: python3-rosdep2
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, ca-certificates
Breaks: python3-rosdep (<<0.11.8), python-rosdep2 (<< 0.16.1-2)
Replaces: python3-rosdep (<<0.11.8), python-rosdep2 (<< 0.16.1-2)
Provides: python3-rosdep
Description: rosdep package manager abstraction tool for Robot OS (Python 3)
 This package is part of Robot OS (ROS). It is a command-line tool for
 installing system dependencies on a variety of platforms. For
 *end-users*, rosdep helps you install system dependencies for
 software that you are building from source. For *developers*, rosdep
 simplifies the problem of installing system dependencies on different
 platforms.
 .
 This package installs the library for Python 3.

## ros-rosdep 0.19.0

=== debian/changelog ===
ros-rosdep (0.19.0-2) unstable; urgency=medium

  * Revert "Drop flake8 patch (fixed upstream)" (Closes: #963331)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 25 Jun 2020 20:35:07 +0200

ros-rosdep (0.19.0-1) unstable; urgency=medium

  * New upstream version 0.19.0
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 10:40:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-nose, python3-rospkg, python3-mock, python3-yaml, python3-catkin-pkg, python3-rosdistro, python3-flake8
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-nose, python3-rospkg, python3-mock, python3-yaml, python3-catkin-pkg, python3-rosdistro, python3-flake8
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosdep
 Vcs-Git: https://salsa.debian.org/science-team/ros-rosdep.git

## ros-rosdep 0.20.0

=== Makefile ===
.PHONY: all setup clean_dist distro clean install testsetup test

NAME='rosdep'
VERSION=`python setup.py -V`

all:
	echo "noop for debbuild"

setup:
	echo "building version ${VERSION}"

clean_dist:
	-rm -f MANIFEST
	-rm -rf dist
	-rm -rf deb_dist

distro: setup clean_dist
	python setup.py sdist

clean: clean_dist
	echo "clean"

install: distro
	sudo checkinstall python setup.py install

testsetup:
	echo "running rosdep tests"

test: testsetup
	nosetests --with-coverage --cover-package=rosdep2 --with-xunit test

=== debian/changelog ===
ros-rosdep (0.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.20.0
  * Bump Standards-Version to 4.5.1
  * Provide manual page for rosdep-source

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 19 Nov 2020 11:43:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-nose, python3-rospkg, python3-mock, python3-yaml, python3-catkin-pkg, python3-rosdistro, python3-flake8
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosdep
 Vcs-Git: https://salsa.debian.org/science-team/ros-rosdep.git

## ros-rosdep 0.21.0

=== debian/changelog ===
ros-rosdep (0.21.0-2) unstable; urgency=medium

  * Drop gitlab-ci
  * Drop old Breaks/Replaces
  * Add patch for ROS_PYTHON_VERSION warning
  * Add rosdep keys based on ros4debian
  * Drop versioned dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 17 Feb 2022 23:25:40 +0100

ros-rosdep (0.21.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.21.0
  * Bump Standards-Version to 4.6.0 (no changes)
  * Sort Build-Depends and add appropriate version restrictions
  * Add autopkgtest

 -- Timo Röhling <roehling@debian.org>  Fri, 03 Sep 2021 13:48:48 +0200

=== debian/control ===
Source: ros-rosdep
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-python3,
 python3-all,
 python3-catkin-pkg,
 python3-flake8,
 python3-mock,
 python3-nose,
 python3-rosdistro,
 python3-rospkg,
 python3-setuptools,
 python3-yaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rosdep
Vcs-Git: https://salsa.debian.org/science-team/ros-rosdep.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-rosdep

Package: python3-rosdep2
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, ca-certificates
Description: rosdep package manager abstraction tool for Robot OS (Python 3)
 This package is part of Robot OS (ROS). It is a command-line tool for
 installing system dependencies on a variety of platforms. For
 *end-users*, rosdep helps you install system dependencies for
 software that you are building from source. For *developers*, rosdep
 simplifies the problem of installing system dependencies on different
 platforms.
 .
 This package installs the library for Python 3.

=== debian/tests/control ===
Tests: run-test-suite
Depends: @, python3-mock, python3-nose, python3-flake8
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-rosdep-$1.tar.gz%" \
    https://github.com/ros-infrastructure/rosdep/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-rosdep 0.22.1

=== Makefile ===
--- 
+++ 
@@ -27,4 +27,4 @@
 	echo "running rosdep tests"
 
 test: testsetup
-	nosetests --with-coverage --cover-package=rosdep2 --with-xunit test
+	cd test && pytest

=== debian/changelog ===
ros-rosdep (0.22.1-7) unstable; urgency=medium

  * Add missing rosdep key

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 28 Feb 2023 17:33:32 +0100

ros-rosdep (0.22.1-6) unstable; urgency=medium

  * Add rosdep to rosdep rules
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 01 Feb 2023 13:25:27 +0100

ros-rosdep (0.22.1-5) unstable; urgency=medium

  * Drop Ubuntu definitions (not used)
  * Enable autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 10 Dec 2022 08:22:48 +0100

ros-rosdep (0.22.1-4) unstable; urgency=medium

  * Fix Debian rosdep rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 31 Oct 2022 21:29:09 +0100

ros-rosdep (0.22.1-3) unstable; urgency=medium

  * Update rules for new rosidl package names

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 01 Oct 2022 17:19:14 +0200

ros-rosdep (0.22.1-2) unstable; urgency=medium

  * Team upload.
  * Add 0001-fix-flake8-ftbfs.patch to fix flake8 error: E275 missing
    whitespace after keyword (Closes: #1019323)

 -- Emanuele Rocca <ema@debian.org>  Wed, 07 Sep 2022 12:46:37 +0200

ros-rosdep (0.22.1-1) unstable; urgency=medium

  * New upstream version 0.22.1
  * Update dependencies
  * Update d/copyright
  * Use pytest.markers instead of disabling tests
  * Add rules for new Debian packages

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 26 Jun 2022 09:57:54 +0200

ros-rosdep (0.21.0-5) unstable; urgency=medium

  * Update rcutils

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 17 Jun 2022 15:18:59 +0200

ros-rosdep (0.21.0-4) unstable; urgency=medium

  * Add new ROS 2 packages
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Jun 2022 17:17:35 +0200

ros-rosdep (0.21.0-3) unstable; urgency=medium

  * Add ROS 2 rosdep keys

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 09 May 2022 12:53:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,21 @@
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3,
  python3-all,
  python3-catkin-pkg,
- python3-flake8,
- python3-mock,
- python3-nose,
+ python3-dev <!nocheck>,
+ python3-flake8 <!nocheck>,
+ python3-pip <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-rosdistro,
  python3-rospkg,
  python3-setuptools,
- python3-yaml
-Standards-Version: 4.6.0
+ python3-yaml,
+ ruby <!nocheck>,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosdep
 Vcs-Git: https://salsa.debian.org/science-team/ros-rosdep.git
 Vcs-Browser: https://salsa.debian.org/science-team/ros-rosdep
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-rosdep2
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS="-m not online"

%:
	dh $@ --buildsystem=pybuild

## ros-rosdep 0.22.2

=== debian/changelog ===
ros-rosdep (0.22.2-3) unstable; urgency=medium

  * Disable flake8 test (Closes: #1058398)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 19 Dec 2023 19:47:40 +0100

ros-rosdep (0.22.2-2) unstable; urgency=medium

  * Update Debian rosdep rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 22 Aug 2023 09:46:13 +0200

ros-rosdep (0.22.2-1) unstable; urgency=medium

  * New upstream version 0.22.2
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 19:56:07 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS="-m not online and not flake8"

%:
	dh $@ --buildsystem=pybuild

## ros-rosdep 0.25.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: all setup clean_dist distro clean install testsetup test
 
 NAME='rosdep'
-VERSION=`python setup.py -V`
+VERSION=`python3 setup.py -V`
 
 all:
 	echo "noop for debbuild"
@@ -27,4 +27,4 @@
 	echo "running rosdep tests"
 
 test: testsetup
-	cd test && pytest
+	pytest test

=== debian/changelog ===
ros-rosdep (0.25.1-2) unstable; urgency=medium

  * Add apt as build dependency as apt-cache is used in the tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 15 Dec 2024 13:13:07 +0100

ros-rosdep (0.25.1-1) unstable; urgency=medium

  * New upstream version 0.25.1
  * Refresh patch (no functional changes)
  * Wrap and sort Debian package files
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Sep 2024 22:34:54 +0200

ros-rosdep (0.24.0-1) unstable; urgency=medium

  * New upstream version 0.24.0
  * Rediff patches
  * Bump policy version (no changes)
  * Ignore failing tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jun 2024 16:11:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3,
+Uploaders:
+ Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
+ Jochen Sprickerhof <jspricke@debian.org>,
+ Timo Röhling <roehling@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
  python3-catkin-pkg,
  python3-dev <!nocheck>,
@@ -15,7 +20,8 @@
  python3-setuptools,
  python3-yaml,
  ruby <!nocheck>,
-Standards-Version: 4.6.2
+ apt <!nocheck>,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosdep
 Vcs-Git: https://salsa.debian.org/science-team/ros-rosdep.git
@@ -24,7 +30,10 @@
 
 Package: python3-rosdep2
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, ca-certificates
+Depends:
+ ca-certificates,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: rosdep package manager abstraction tool for Robot OS (Python 3)
  This package is part of Robot OS (ROS). It is a command-line tool for
  installing system dependencies on a variety of platforms. For

## ros-rosdep 0.26.0

=== debian/changelog ===
ros-rosdep (0.26.0-1) unstable; urgency=medium

  * New upstream version 0.26.0
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Aug 2025 11:23:41 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ apt <!nocheck>,
  python3-all,
  python3-catkin-pkg,
  python3-dev <!nocheck>,
@@ -20,8 +21,7 @@
  python3-setuptools,
  python3-yaml,
  ruby <!nocheck>,
- apt <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosdep
 Vcs-Git: https://salsa.debian.org/science-team/ros-rosdep.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS="-m not online and not flake8" -k "not test_workflow and not test_get_gbprepo_as_rosdep_data"

%:
	dh $@ --buildsystem=pybuild
